package com.fzm.common.entity.vo;

import com.fzm.common.entity.Nft;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author tangtuo
 * @date 2021/7/1 17:54
 */
@Data
public class CollectionNftVo {

    @ApiModelProperty("主键")
    private Integer id;

    @ApiModelProperty("类目id")
    private Integer categoryId;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("主题,多个用逗号,隔开")
    private String theme;

    @ApiModelProperty("nft编号")
    private String nftId;

    public CollectionNftVo(Nft nft) {
        this.id = nft.getId();
        this.theme = nft.getTheme();
        this.nftId = nft.getNftId();
        this.categoryId = nft.getCategoryId();
        this.name = nft.getName();
    }
}
